Subject: 27.1; feature request: doc-view support for Djvu documents

From: "Roland Winkler" <[email-masked]>
Date: Sat, 7 Nov 2020 09:55:04 -0600

I suggest to add a backend for Djvu documents to doc-view.  (See the
website http://djvu.sourceforge.net/ describing the Djvu format and
hosting the DjVuLibre library.)  While I am maintaining djvu.el in
GNU Elpa, the purpose of this package is to edit Djvu documents.  So
the relation between djvu.el and doc-view is similar to the relation
between ps-mode and doc-view.  For users who only want to view Djvu
documents, the fairly big machinery of djvu.el can be rather
confusing.

The command line tool ddjvu from DjVuLibre converts Djvu documents
to various bitmap formats (pbm, pgm, ppm, pnm, rle, and tiff).
So I believe this should be sufficient for doc-view.  It is also
possible to extract the text layer of Djvu documents.

In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
 of 2020-08-31 built on regnitz
Windowing system distributor 'The X.Org Foundation', version 11.0.11804000
System Description: Ubuntu 16.04.7 LTS